#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	audit
Version		:	3.0.8
Release		:	17.2.0.rel%{?dist}
Summary		:	User space tools for linux kernel auditing
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://people.redhat.com/sgrubb/audit

Source0		:	%{name}-%{version}.tar.gz
Patch1		:	%{name}-%{version}-flex-array-workaround.patch
Patch2		:	%{name}-%{version}-undo-flex-array.patch

#-----------------------------------------------------------------------------
BuildRequires	:	swig

Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
The audit package contains the user space utilities for
storing and searching the audit records generate by
the audit subsystem in the Linux kernel.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%config(noreplace) %attr(640,root,root) %{_sysconfdir}/libaudit.conf
%config(noreplace) %attr(640,root,root) %{_sysconfdir}/%{name}/auditd.conf
%config(noreplace) %attr(640,root,root) %{_sysconfdir}/%{name}/audisp-remote.conf
%config(noreplace) %attr(640,root,root) %{_sysconfdir}/%{name}/plugins.d/au-remote.conf
%config(noreplace) %attr(640,root,root) %{_sysconfdir}/%{name}/plugins.d/af_unix.conf
%config(noreplace) %attr(640,root,root) %{_sysconfdir}/%{name}/plugins.d/syslog.conf
%config(noreplace) %attr(640,root,root) %{_sysconfdir}/%{name}/audit-stop.rules
%{_sysconfdir}/rc.d/init.d/%{name}d
%{_sysconfdir}/sysconfig/%{name}d
%{_includedir}/*
%{_sbindir}/audisp-*
%{_sbindir}/auditctl
%{_sbindir}/auditd
%{_sbindir}/augenrules
%{_sbindir}/aureport
%{_sbindir}/ausearch
%{_sbindir}/autrace
%{_bindir}/aulast
%{_bindir}/aulastlog
%{_bindir}/ausyscall
%{_bindir}/auvirt
%{_libdir}/lib%{name}.so*
%{_libdir}/libauparse.so*
%{_libdir}/pkgconfig/au*.pc
%{_libdir}/python*/site-packages/*
%{_datadir}/%{name}/sample-rules/README-rules
%{_datadir}/%{name}/sample-rules/*.rules
%{_datadir}/aclocal/%{name}.m4
%{_mandir}/man3/*.3.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man7/*.7.gz
%{_mandir}/man8/*.8.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q -n %{name}-%{version}
%{__cp}							\
	/usr/include/linux/audit.h			\
	lib

%patch1 -p1

#-----------------------------------------------------------------------------
#building application
%build
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--disable-zos-remote				\
	--with-python=yes				\
	--with-python3=no				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_prefix}/lib/%{name}
%{__mv}							\
	 %{buildroot}%{_libdir}/*.la 			\
	 %{buildroot}%{_prefix}/lib/%{name} 
	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

# undo the workaround
pushd %{buildroot}
patch -p0 < %{PATCH2}
find . -name '*.orig' -delete
popd	


#-----------------------------------------------------------------------------
%changelog
